#include <gtest/gtest.h>
#include "log4cxx/logger.h"
#include "log4cxx/basicconfigurator.h"
#include <QApplication>
#include "Config.hxx"

char* TEST_DATA_DIRECTORY;

int main(int argc, char **argv) {
	testing::InitGoogleTest(&argc, argv);
	log4cxx::BasicConfigurator::configure();

	QApplication::addLibraryPath(CONFIG_LIBDIR);
	if (argc > 1)
		TEST_DATA_DIRECTORY = argv[1];
	else
		TEST_DATA_DIRECTORY = "./";

	return RUN_ALL_TESTS();
}
