#include "Comment.hxx"
#include "Function.hxx"

Comment::Comment(uint64_t address, InformationManager* manager)
	: address(address)
	, location(NULL)
	, manager(manager) {}

Comment::Comment(uint64_t address, Function* location, InformationManager* manager)
	: address(address)
	, location(location)
	, manager(manager) {}

void Comment::setText(const std::string& text) {
	this->text = text;
}

uint64_t Comment::getAddress() {
	return address;
}
